Rated 4 out of 5 stars

It still works for all versions of Firefox 3 if we edit the "install.rdf" file and change the value of "maxVersion" from "3.5.*" to "3.*"

For the ones who have no idea what I'm talking about, download this one instead (I've modified the "install.rdf" file inside): http://www.mediafire.com/?wdgzgmdlotn

This review is for a previous version of the add-on (1.1.0).